DrawState Struct Reference
Collaboration diagram for DrawState:
[legend]

## Data Fields

SDL_Window * | window
SDL_Renderer * | renderer
SDL_Texture * | background
SDL_Texture * | sprite
SDL_Rect | sprite_rect
int | scale_direction

## Detailed Description

Definition at line 27 of file testrendercopyex.c.

## Field Documentation

SDL_Texture * DrawState::background

Definition at line 30 of file testrendercopyex.c.

Referenced by Draw(), DrawComposite(), and main().

SDL_Renderer * DrawState::renderer

Definition at line 29 of file testrendercopyex.c.

Referenced by Draw(), DrawComposite(), and main().

int DrawState::scale_direction

Definition at line 33 of file testrendercopyex.c.

Referenced by Draw(), DrawComposite(), and main().

SDL_Texture * DrawState::sprite

Definition at line 31 of file testrendercopyex.c.

Referenced by Draw(), DrawComposite(), and main().

SDL_Rect DrawState::sprite_rect

Definition at line 32 of file testrendercopyex.c.

Referenced by Draw(), DrawComposite(), and main().

SDL_Window * DrawState::window

Definition at line 28 of file testrendercopyex.c.

Referenced by main().

The documentation for this struct was generated from the following files:

- test/testrendercopyex.c
- test/testrendertarget.c
- test/testscale.c